summaryrefslogtreecommitdiff
path: root/src/wav-crypt-tst.sh
diff options
context:
space:
mode:
authormsheby <msheby@cinecert.com>2008-02-20 23:42:34 +0000
committermsheby <>2008-02-20 23:42:34 +0000
commit205957669e1b4502c579227e3bf6cc1a2bf296ea (patch)
treeb087105e276a742b01fd0ac238b280940bc74c87 /src/wav-crypt-tst.sh
parent06af2732e92552974e180f136a18c9a625d017d5 (diff)
Update autotools-relevant files.
Diffstat (limited to 'src/wav-crypt-tst.sh')
-rwxr-xr-xsrc/wav-crypt-tst.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/wav-crypt-tst.sh b/src/wav-crypt-tst.sh
new file mode 100755
index 0000000..3e8084f
--- /dev/null
+++ b/src/wav-crypt-tst.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# crypto WAV tests
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -k ${CRYPT_KEY} \
+ -c ${TEST_FILES}/write_crypt_test_wav.mxf ${TEST_FILES}/${TEST_FILE_PREFIX}.wav
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+${BUILD_DIR}/asdcp-test${EXEEXT} -i ${TEST_FILES}/write_crypt_test_wav.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+${BUILD_DIR}/asdcp-test${EXEEXT} -p 23 -k ${CRYPT_KEY} \
+ -c ${TEST_FILES}/write_crypt_test_2398_wav.mxf ${TEST_FILES}/${TEST_FILE_PREFIX}.wav
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+${BUILD_DIR}/asdcp-test${EXEEXT} -i ${TEST_FILES}/write_crypt_test_2398_wav.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+
+( ${BUILD_DIR}/asdcp-test${EXEEXT} -k ${CRYPT_KEY_B} \
+ -x ${TEST_FILES}/plaintext ${TEST_FILES}/write_crypt_test_wav.mxf; \
+ if [ $? -eq 1 ]; then exit 0; fi; exit 1 )
+${BUILD_DIR}/asdcp-test${EXEEXT} -m -k ${CRYPT_KEY} \
+ -x ${TEST_FILES}/plaintext ${TEST_FILES}/write_crypt_test_wav.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+cmp ${TEST_FILES}/${TEST_FILE_PREFIX}.wav ${TEST_FILES}/plaintext_1.wav
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+( ${BUILD_DIR}/asdcp-test${EXEEXT} -k ${CRYPT_KEY_B} \
+ -x ${TEST_FILES}/plaintext_2398 ${TEST_FILES}/write_crypt_test_2398_wav.mxf; \
+ if [ $? -eq 1 ]; then exit 0; fi; exit 1 )
+${BUILD_DIR}/asdcp-test${EXEEXT} -m -k ${CRYPT_KEY} \
+ -x ${TEST_FILES}/plaintext_2398 ${TEST_FILES}/write_crypt_test_2398_wav.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi